# Organization API: Organizations & Members: Gameproxy

> The 2 Organization API operations for gameproxy.

Source: https://docs.coritan.com/api/reference/organizations/organizations-members/gameproxy/

Part of [Organizations & Members](/api/reference/organizations/organizations-members/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/gameproxy/settings`](#op-get-api-v1-orgs-org-slug-gameproxy-settings) | Get org gameproxy settings |
| PUT | [`/api/v1/orgs/{org_slug}/gameproxy/settings`](#op-put-api-v1-orgs-org-slug-gameproxy-settings) | Update org gameproxy settings |

### Get org gameproxy settings {#op-get-api-v1-orgs-org-slug-gameproxy-settings}

`GET /api/v1/orgs/{org_slug}/gameproxy/settings`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Update org gameproxy settings {#op-put-api-v1-orgs-org-slug-gameproxy-settings}

`PUT /api/v1/orgs/{org_slug}/gameproxy/settings`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `auto_provision_minecraft` | boolean or null | no |
| `base_domain_id` | integer or null | no |
| `inherit_auto_provision` | boolean | no |
| `offline_motd` | string or null | no |
| `online_motd` | string or null | no |
| `generic_join_response` | string or null | no |
| `generic_ping_description` | string or null | no |
| `rejoin_message` | string or null | no |
| `blocked_message` | string or null | no |
| `favicon` | string or null | no |
| `version_name` | string or null | no |
| `status_cache_ttl_seconds` | integer or null | no |
| `clear_offline_motd` | boolean | no |
| `clear_online_motd` | boolean | no |
| `clear_generic_join_response` | boolean | no |
| `clear_generic_ping_description` | boolean | no |
| `clear_rejoin_message` | boolean | no |
| `clear_blocked_message` | boolean | no |
| `clear_favicon` | boolean | no |
| `clear_version_name` | boolean | no |
| `clear_status_cache_ttl_seconds` | boolean | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
